
```@meta
DocTestSetup = :(using PAndQ)
```

# Extensions

## Latexify

This extension defines a [`@latexrecipe`](https://korsbo.github.io/Latexify.jl/stable/tutorials/recipes/) for [operators](@ref operators_operators), [propositions](@ref propositions), and [`TruthTable`](@ref)s. Further, calling [`print_table`](@ref) with the LaTeX backend will [`latexify`](https://korsbo.github.io/Latexify.jl/stable/functions/latexify/#Latexify.latexify) the truth table.

```jldoctest
julia> using Latexify

julia> @atomize latexify(p ∧ q)
L"$p \wedge q$"

julia> @atomize print_table(p ∧ q; backend = Val(:latex))
\begin{tabular}{|l|l|l|}
  \hline
  \textbf{$p$} & \textbf{$q$} & \textbf{$p \wedge q$} \\\hline
  $\top$ & $\top$ & $\top$ \\
  $\bot$ & $\top$ & $\bot$ \\\hline
  $\top$ & $\bot$ & $\bot$ \\
  $\bot$ & $\bot$ & $\bot$ \\\hline
\end{tabular}
```

```@docs
formatter(::Type{Latexify.LaTeXString})
```
